You are not logged in.

#1 2022-07-20 11:53:51

demode
Member
Registered: 2022-07-19
Posts: 2

biblatex and biber versions are incompatible

Hello,
after installing the biber package I got this error, when I tried to compile a file with it:

INFO - This is Biber 2.17
INFO - Logfile is 'prace.blg'
INFO - Reading 'prace.bcf'
ERROR - Error: Found biblatex control file version 3.9, expected version 3.8.
This means that your biber (2.17) and biblatex (3.18b) versions are incompatible.
See compat matrix in biblatex or biber PDF documentation.
INFO - ERRORS: 1

After installing biber-bin (2.18) from AUR I got this error, when trying to compile, even though I have perl-par installed:

Can't locate PAR.pm in @INC (you may need to install the PAR module) (@INC contains: /usr/local/perl/lib/site_perl/5.32.0/x86_64-linux-thread-multi /usr/local/perl/lib/site_perl/5.32.0 /usr/local/perl/lib/5.32.0/x86_64-linux-thread-multi>

Greetings.

Offline

#2 2022-07-20 17:40:27

awelomustaine
Member
From: Mexico
Registered: 2011-09-16
Posts: 6

Re: biblatex and biber versions are incompatible

Have you tried installing the perl-par-packer package after the error?


Possibly I've seen too much, hangar 18 I know too much...

Offline

#3 2022-07-20 18:36:41

demode
Member
Registered: 2022-07-19
Posts: 2

Re: biblatex and biber versions are incompatible

Yes and it yields with the same error, unfortunately.

Offline

#4 2022-07-23 01:13:21

pablogzlezmora
Member
Registered: 2022-07-23
Posts: 2

Re: biblatex and biber versions are incompatible

I got the same error three days ago:

ERROR - Error: Found biblatex control file version 3.9, expected version 3.8.
This means that your biber (2.17) and biblatex (3.18a) versions are incompatible.

Then, I uninstalled the package Biber and downloaded the more recent Biber version from SourceForge, and I extracted and installed it as CTAN suggests in the documentation:

sudo mv ~/Desktop/biber /usr/local/bin/biber
sudo chmod +x /usr/local/bin/biber

This way, it worked.

Last edited by pablogzlezmora (2022-07-23 01:39:48)

Offline

#5 2022-07-29 14:00:39

Stefan Husmann
Member
From: Germany
Registered: 2007-08-07
Posts: 1,263

Re: biblatex and biber versions are incompatible

If both biber and biblatex are installed from the official repos, file a bug report.

Offline

#6 2022-08-02 21:37:20

pablogzlezmora
Member
Registered: 2022-07-23
Posts: 2

Re: biblatex and biber versions are incompatible

Biber is flagged as out-of-date in the official repo.

Offline

#7 2022-08-03 15:05:11

Stefan Husmann
Member
From: Germany
Registered: 2007-08-07
Posts: 1,263

Re: biblatex and biber versions are incompatible

That is not the same as a bugreport.

Offline

Board footer

Powered by FluxBB